datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghumanpromoter10rhsrefseq <- function() showQCData("tilinghumanpromoter10rhsrefseq", datacache)
tilinghumanpromoter10rhsrefseq_dbconn <- function() dbconn(datacache)
tilinghumanpromoter10rhsrefseq_dbfile <- function() dbfile(datacache)
tilinghumanpromoter10rhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghumanpromoter10rhsrefseq_dbInfo <- function() dbInfo(datacache)

tilinghumanpromoter10rhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghumanpromoter10rhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghumanpromoter10rhsrefseq", "chip tilinghumanpromoter10rhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghumanpromoter10rhsrefseq_dbconn())
}

